services:

  worker_one:
    container_name: worker_one
    build:
      dockerfile: ./worker-1
    volumes:
      - ./data:/var/data
      - ./result:/var/result

  worker_two:
    container_name: worker_two
    build:
      dockerfile: ./worker-2
    volumes:
      - ./result:/var/result
    depends_on:
      - worker_one